Pipelines
Pipelines and their stages, for moving deals.
#List pipelines and their stages
GET/api/v1/pipelines
curl https://synconone.com/api/v1/pipelines \
-H "Authorization: Bearer sk_live_YOUR_KEY"{
"data": [
{
"id": "pr_1a2b3c4d5e6f7a8b",
"object": "string",
"name": "Emily Carter",
"description": "Asked about annual terms on the website.",
"is_default": true,
"position": 1,
"stages": [
{
"id": null,
"key": null,
"label": null,
"kind": null,
"color": null,
"position": null,
"probability": null
}
]
}
],
"pagination": {
"nextCursor": null,
"hasMore": false
}
}Errors: 401: Missing, invalid, revoked or expired API key. · 403: The key lacks the scope, or its role cannot do this. · 422: Validation failed. · 429: Rate limited. Honour Retry-After.. See errors.
#Get a pipeline
GET/api/v1/pipelines/{id}
| Parameter | In | Type | Notes |
|---|---|---|---|
id required | path | string | Pipeline id. |
curl https://synconone.com/api/v1/pipelines/pr_1a2b3c4d5e6f7a8b \
-H "Authorization: Bearer sk_live_YOUR_KEY"{
"data": {
"id": "pr_1a2b3c4d5e6f7a8b",
"object": "string",
"name": "Emily Carter",
"description": "Asked about annual terms on the website.",
"is_default": true,
"position": 1,
"stages": [
{
"id": "pr_1a2b3c4d5e6f7a8b",
"key": "string",
"label": "string",
"kind": "open",
"color": "string",
"position": 1,
"probability": 1
}
]
}
}Errors: 401: Missing, invalid, revoked or expired API key. · 403: The key lacks the scope, or its role cannot do this. · 404: Not found, or not visible to this key. · 422: Validation failed. · 429: Rate limited. Honour Retry-After.. See errors.